Package org.apache.sis.referencing.operation.matrix

## Class MismatchedMatrixSizeException

- Object
- - Throwable
  - - Exception
    - - RuntimeException
      - - IllegalArgumentException
        - - MismatchedDimensionException
          - - MismatchedMatrixSizeException

- All Implemented Interfaces:
    `Serializable`

      public class MismatchedMatrixSizeException
      extends MismatchedDimensionException

  Thrown when two matrices can not be added or multiplied because the sizes do not match.
  Note: This exception extends `MismatchedDimensionException` because the matrices in this package are used in Coordinate Operation Steps, in which case a mismatched matrix size means that the operation involves two Coordinate Reference Systems of incompatible dimensions.
  Since:
    0.4
  See Also:
    `MismatchedDatumException`, Serialized Form

  Defined in the `sis-referencing` module

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MismatchedMatrixSizeException()` | Constructs a new exception with no message.
    `MismatchedMatrixSizeException​(String message)` | Constructs a new exception with the specified detail message.
    `MismatchedMatrixSizeException​(String message, Throwable cause)` | Constructs a new exception with the specified detail message and cause.

  - ### Method Summary

    - ### Methods inherited from class Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MismatchedMatrixSizeException

          public MismatchedMatrixSizeException()

      Constructs a new exception with no message.

    - #### MismatchedMatrixSizeException

          public MismatchedMatrixSizeException​(String message)

      Constructs a new exception with the specified detail message.
      Parameters:
        `message` - the detail message, or `null` if none.

    - #### MismatchedMatrixSizeException

          public MismatchedMatrixSizeException​(String message,
                                               Throwable cause)

      Constructs a new exception with the specified detail message and cause.
      Parameters:
        `message` - the detail message, or `null` if none.
        `cause` - the cause, or `null` if none.